from setuptools import setup, find_packages

setup(
    name="arctic_charr_matcher",
    version="0.1.2",
    packages=find_packages(include=["arctic_charr_matcher"]),
    install_requires=[
        "notebook",
        "numpy",
        "matplotlib",
        "opencv-python-headless",
        "tensorflow",
        "keras",
        "keras-unet",
        "scikit-image",
        "scikit-learn",
        "scipy",
        "pandas",
        "xlrd",
        "sep",
    ],
    author="Walker Herndon",
    author_email="walker.herndon01@gmail.com",
    description="Arctic Charr matching library",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/walker-herndon/Arctic_charr_packaged",
    setup_requires=["pytest-runner"],
    tests_require=["pytest"],
    test_suite="tests",
)
